This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534226 - (RHQ-1042) Evaulate re-enabling virtual interfaces
Evaulate re-enabling virtual interfaces
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:47 EST by Heiko W. Rupp
Modified: 2013-09-01 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-11-04 11:47:00 EST
Currently NativeSystemInfo.getAllInterfaces() skips over virtual ones:
    if (interfaceName.indexOf(':') != -1) {
                        continue; //filter out virtual IPs
                    }

This makes them non-available of e.g. clients that run within Solaris zones.

It looks like we have filtered them because of issues comuting their avaliability.

We should investigate when we have installed a newer version of Sigar, if we can re-enable the virtual interfaces again (and enable them).
Comment 1 Red Hat Bugzilla 2009-11-10 15:22:38 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1042
Comment 2 wes hayutin 2010-02-16 10:44:51 EST
mass move off the qa triage list.  These are tasks for dev.
Comment 3 Corey Welton 2010-08-18 11:05:01 EDT
This is moved to ONQA for further examination.  May require hardware and repro steps, however.
Comment 4 Rajan Timaniya 2010-08-25 03:10:50 EDT
Heiko,

Can you please give steps to reproduce/test bug and hardware details if we have?
Comment 5 Heiko W. Rupp 2011-01-11 03:56:44 EST
Rajan,
I have no such hardware handy. I think we should have some Sparc boxes 
somewhere that have interfaces with names like en0:1 

If you have such a box, install an agent on it (actually only the sigar library 
is needed) and then run
$ lib/ > java -jar sigar.jar 

at the prompt run ifconfig or netinfo and see what they report and output to 
this issue. 

I can imagine that we add a config option to the agent to configure the 
skipping over those and have it  disabled by default.
Comment 6 Mike Foley 2011-06-21 16:26:01 EDT
[mfoley@foleymonsterbox1 lib]$ java -jar sigar-1.6.5.132.jar 
sigar> netinfo
primary interface.....eth0
primary ip address....10.0.1.189
primary mac address...BC:30:5B:BB:4E:9A
primary netmask.......255.255.255.0
host name.............foleymonsterbox1.foleyhomenetwork
domain name...........(none)
default gateway.......10.0.1.1
primary dns...........10.11.255.156
secondary dns.........10.7.142.21
sigar> ifconfig
lo	Link encap:Local Loopback
	inet addr:127.0.0.1  Mask:255.0.0.0
	UP LOOPBACK RUNNING  MTU:16436  Metric:1
	RX packets:15880211 errors:0 dropped:0 overruns:0 frame:0
	TX packets:15880211 errors:0 dropped:0 overruns:0 carrier:0
	collisions:0
	RX bytes:11044630609 ( 10G)  TX bytes:11044630609 ( 10G)

eth0	Link encap:Ethernet HWaddr BC:30:5B:BB:4E:9A
	inet addr:10.0.1.189  Bcast:10.0.1.255  Mask:255.255.255.0
	UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
	RX packets:4590597 errors:0 dropped:0 overruns:0 frame:0
	TX packets:2850575 errors:0 dropped:0 overruns:0 carrier:0
	collisions:0
	RX bytes:3244634902 (3.0G)  TX bytes:549355454 (524M)

virbr0	Link encap:Ethernet HWaddr 86:C6:E2:06:DC:D0
	inet addr:192.168.122.1  Bcast:192.168.122.255  Mask:255.255.255.0
	UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
--More-- (Page 1 of 2) 
	RX packets:0 errors:0 dropped:0 overruns:0 frame:0
	TX packets:25 errors:0 dropped:0 overruns:0 carrier:0
	collisions:0
	RX bytes:0 (  0 )  TX bytes:7158 (7.0K)

tun0	Link encap:Ethernet
	inet addr:10.11.10.54  P-t-P:10.11.10.54  Mask:255.255.252.0
	UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1412  Metric:1
	RX packets:16475 errors:0 dropped:0 overruns:0 frame:0
	TX packets:17233 errors:0 dropped:0 overruns:0 carrier:0
	collisions:0
	RX bytes:9262783 (8.8M)  TX bytes:2055511 (2.0M)

sigar>
Comment 7 Mike Foley 2011-06-21 16:36:44 EDT
discussed with heiko.  this is specific to sub-interfaces (and perhaps Solaris).  so the verification steps documented above (while close) aren't specific to sub-interfaces.  this needs to be verified specific to sub-interfaces.
Comment 8 Heiko W. Rupp 2013-09-01 15:21:53 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.